FileControllerSearchTags Method |
POST /File/Tags
Gets the tags that match the text passed in.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Tags")]
public IActionResult SearchTags(
[FromBodyAttribute] string searchValue,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Tags")>
Public Function SearchTags (
<FromBodyAttribute> searchValue As String,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Tags")]
IActionResult^ SearchTags(
[FromBodyAttribute] String^ searchValue,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Tags")>]
member SearchTags :
[<FromBodyAttribute>] searchValue : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- searchValue
- Type: SystemString
Input value for the tags search. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An array of
KeyValuePairData objects, or a status code indicating the problem.
See Also